#ifndef HELPBROKER_H
#define HELPBROKER_H

#ifdef __cplusplus
extern "C" {
#endif

/*
// HelpBroker.h
//
// Copyright 1993, Silicon Graphics, Inc.
// All Rights Reserved.
//
// This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
// the contents of this file may not be disclosed to third parties, copied or
// duplicated in any form, in whole or in part, without the prior written
// permission of Silicon Graphics, Inc.
//
// RESTRICTED RIGHTS LEGEND:
// Use, duplication or disclosure by the Government is subject to restrictions
// as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
// and Computer Software clause at DFARS 252.227-7013, and/or in similar or
// successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
// rights reserved under the Copyright Laws of the United States.
*/

#include <X11/Xlib.h>

#define SGI_HELP_REQUEST                "SGI_HELP_REQUEST"
#define SGI_HELP_SERVER                 "SGI_HELP_SERVER"
#define SGI_HELP_SERVER_STARTUP         "sgihelp"

extern int SGIHelpInit(Display *in_dsp, char *in_client, char *in_sep);
extern int SGIHelpMsg (char *in_key, char *in_book, char* user_data);
extern int SGIHelpIndexMsg (char *in_key, char *in_book);

#ifdef __cplusplus
}
#endif

#endif
